import { otherHttp } from '/@/utils/http/axios'

enum Api {
    getUserInfo = '/sys/user/login/setting/getUserData', // 查询登录用户信息
    logout = '/sys/logout', // 登出
    sysLogin = '/app/user/login', // 登陆
    dictList = '/sys/dict/queryAllDictItems', // 获取字典数据
    location = '/tianditu/geocode', // 根据经纬度获取地址
    sysSmsCode = '/app/user/getSmsCode', // 短信验证码
    sysRegister = '/app/user/register', // 注册
}
/**
 * @param params 请求参数
 * @description: 查询登录用户信息
 */
export function getUserInfo(params = {}) {
    return otherHttp.get({
        url: Api.getUserInfo,
        data: params,
    })
}

/**
 * @param params 请求参数
 * @description: 登录
 */
export function sysLogin(params = {}) {
    return otherHttp.post({
        url: Api.sysLogin,
        params,
    })
}

/**
 * @param params 请求参数
 * @description: 退出登录
 */
export function logout(params = {}) {
    return otherHttp.get({
        url: Api.logout,
        params,
    })
}

/**
 * @param params 请求参数
 * @description: 获取字典数据
 */
export function dictList(params = {}) {
    return otherHttp.get({
        url: Api.dictList,
        params,
    })
}

/**
 * @param params 请求参数
 * @description: 发布需求
 */
export function location(params = {}) {
    return otherHttp.post({
        url: Api.location,
        params,
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded',
        },
    })
}

/**
 * @param params 请求参数
 * @description: 注册
 */
export function sysRegister(params = {}) {
    return otherHttp.post({
        url: Api.sysRegister,
        params,
    })
}
/**
 * @param params 请求参数
 * @description: 短信验证码
 */
export function sysSmsCode(params = {}) {
    return otherHttp.get({
        url: Api.sysSmsCode,
        params,
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded',
        },
    })
}
